Retrieve
curl --request GET \
--url https://{defaultHost}/v1/events/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/events/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/events/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{defaultHost}/v1/events/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/events/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "17c03ac2-a831-4188-a56d-88c1e9c5b572",
"object": "event",
"data": {
"object": {
"id": "22f973ab-0624-4035-8e68-8e4a5f275433",
"object": "purchase",
"live_mode": true,
"quantity": 1,
"revoked": false,
"revoked_at": null,
"revoke_at": null,
"customer": "ddbc45c1-dd20-4a09-ae2b-73baac56acd4",
"initial_order": "b0a489ca-1e0f-4978-a36c-cd43388c0ad2",
"license": null,
"price": "94a0193e-19ec-4d92-99d0-1b824db3574a",
"product": "ead9ffc4-996d-4a33-a9f3-f41eb05f3ef7",
"subscription": null,
"variant": null,
"review": null,
"created_at": 1792401295,
"updated_at": 1792401295
}
},
"type": "purchase.created",
"account": "49a1efc9-ffe1-4abc-92ca-f4ef8542433c",
"created_at": 1792401295
}Events
Retrieve
Retrieves details of a specific event.
GET
/
v1
/
events
/
{id}
Retrieve
curl --request GET \
--url https://{defaultHost}/v1/events/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/events/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/events/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/events/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{defaultHost}/v1/events/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/events/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "17c03ac2-a831-4188-a56d-88c1e9c5b572",
"object": "event",
"data": {
"object": {
"id": "22f973ab-0624-4035-8e68-8e4a5f275433",
"object": "purchase",
"live_mode": true,
"quantity": 1,
"revoked": false,
"revoked_at": null,
"revoke_at": null,
"customer": "ddbc45c1-dd20-4a09-ae2b-73baac56acd4",
"initial_order": "b0a489ca-1e0f-4978-a36c-cd43388c0ad2",
"license": null,
"price": "94a0193e-19ec-4d92-99d0-1b824db3574a",
"product": "ead9ffc4-996d-4a33-a9f3-f41eb05f3ef7",
"subscription": null,
"variant": null,
"review": null,
"created_at": 1792401295,
"updated_at": 1792401295
}
},
"type": "purchase.created",
"account": "49a1efc9-ffe1-4abc-92ca-f4ef8542433c",
"created_at": 1792401295
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Success
The UUID of the specific object.
A string describing the object type returned.
Expandable – The associated account ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Description of the event (e.g., subscription.updated or charge.updated).
Was this page helpful?